#include "lib/std.mi"

Global Container containerMain;
Global Layout mainNormal;
Global Layout mainAlbumArt;
Global Layout mainVisualisation;
Global Layout mainCompactArt;
Global Layout mainCompactVis;
Global Layout mainStick;

Global Button normalSwitch;
Global Button AlbumArtswitch;
Global Button Visualisationswitch;
Global Button CompactArtswitch;
Global Button CompactVisswitch;
Global Button stickswitch;

Function switchPopup();

System.onScriptLoaded() {
  containerMain = System.getContainer("main");

  mainNormal = containerMain.getLayout("normal");
  mainAlbumArt = containerMain.getLayout("AlbumArt");
  mainVisualisation = containerMain.getLayout("Visualisation");
  mainCompactArt = containerMain.getLayout("CompactArt");
  mainCompactVis = containerMain.getLayout("CompactVis");
  mainStick = containerMain.getLayout("Stick");

  normalSwitch = mainNormal.findObject("Switch Layouts");
  AlbumArtSwitch = mainAlbumArt.findObject("Switch Layouts");
  VisualisationSwitch = mainVisualisation.findObject("Switch Layouts");
  CompactArtSwitch = mainCompactArt.findObject("Switch Layouts");
  CompactVisSwitch = mainCompactVis.findObject("Switch Layouts");
  StickSwitch = mainStick.findObject("Switch Layouts");
}

normalSwitch.onRightClick() { switchPopup(); }
AlbumArtSwitch.onRightClick() { switchPopup(); }
VisualisationSwitch.onRightClick() { switchPopup(); }
CompactArtSwitch.onRightClick() { switchPopup(); }
CompactVisSwitch.onRightClick() { switchPopup(); }
stickSwitch.onRightClick() { switchPopup(); }

normalSwitch.onRightButtonUp(Int intPosX, Int intPosY) { complete;}
AlbumArtSwitch.onRightButtonUp(Int intPosX, Int intPosY) { complete;}
VisualisationSwitch.onRightButtonUp(Int intPosX, Int intPosY) { complete;}
CompactArtSwitch.onRightButtonUp(Int intPosX, Int intPosY) { complete;}
CompactVisSwitch.onRightButtonUp(Int intPosX, Int intPosY) { complete;}
stickSwitch.onRightButtonUp(Int intPosX, Int intPosY) { complete;}

switchPopup() {
  PopupMenu switchMenu;

  switchMenu = new PopupMenu;
  switchMenu.addCommand("Normal ", 1, (mainNormal.isVisible()), 0);
  switchMenu.addCommand("AlbumArt ", 2, (mainAlbumArt.isVisible()), 0);
  switchMenu.addCommand("Visualisation ", 3, (mainVisualisation.isVisible()), 0);
  switchMenu.addCommand("CompactArt ", 4, (mainCompactArt.isVisible()), 0);
  switchMenu.addCommand("CompactVis ", 5, (mainCompactVis.isVisible()), 0);
  switchMenu.addCommand("Stick ", 6, (mainStick.isVisible()), 0);

  if (switchMenu == Null) { return; }
  Int switchNumber = switchMenu.popAtMouse();
  if (switchNumber > 0) {
    if (switchNumber == 1) { containerMain.switchToLayout("NORMAL"); }
    if (switchNumber == 2) { containerMain.switchToLayout("AlbumArt"); }
    if (switchNumber == 3) { containerMain.switchToLayout("Visualisation"); }
    if (switchNumber == 4) { containerMain.switchToLayout("CompactArt"); }
    if (switchNumber == 5) { containerMain.switchToLayout("CompactVis"); }
    if (switchNumber == 6) { containerMain.switchToLayout("Stick"); }
  }
  complete;

  delete switchMenu;
}

