#include "lib/std.mi"

Global text trackTitle, artistAlbum;

System.onScriptLoaded() {
  group pGroup = getScriptGroup();
  trackTitle = pGroup.getObject("SongTitle");
  artistAlbum = pGroup.getObject("ArtistAlbum");
  trackTitle.setText(System.getPlayItemMetaDataString("title"));
  artistAlbum.setText(getPlayItemMetaDataString("artist")+" - "+getPlayItemMetaDataString("album"));
}

System.onTitleChange(string newtitle) {
  trackTitle.setText(System.getPlayItemMetaDataString("title"));
  artistAlbum.setText(getPlayItemMetaDataString("artist")+" - "+getPlayItemMetaDataString("album"));
}
